Package org.apache.synapse.commons.util

# Class MiscellaneousUtil

java.lang.Object
org.apache.synapse.commons.util.MiscellaneousUtil

public class MiscellaneousUtil extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static byte[]`
  `asBytes(InputStream in)`
  `static String`
  `getMessageProcessorName(String taskName)`
  Provides the name of the corresponding message processor of a task
  `static String`
  `getProperty(Properties properties, String name, String defaultValue)`
  Helper method to get the value of the property from a given property bag
  `static <T> T`
  `getProperty(Properties properties, String name, T defaultValue, Class<? extends T> type)`
  Helper method to get the value of the property from a given property bag This method will return a value with the type equal to the type given by the Class type parameter.
  `static boolean`
  `isTaskOfMessageProcessor(String taskName)`
  Checks if the task belongs to a message processor
  `static Properties`
  `loadProperties(String filePath)`
  Loads the properties from a given property file path
  `static org.apache.axiom.om.OMElement`
  `loadXMLConfig(String filePath)`
  Load xml config
  `static org.apache.axiom.om.OMElement`
  `loadXMLConfig(String filePath, boolean isMandatory)`
  Load a xml configuration file
  `static byte[]`
  `serialize(Object data)`
  Helper method to serialize object into a byte array

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getProperty

    public static String getProperty(Properties properties, String name, String defaultValue)
    Helper method to get the value of the property from a given property bag
    Parameters:
      `properties` - The property collection
      `name` - The name of the property
      `defaultValue` - The default value for the property
    Returns:
      The value of the property if it is found , otherwise , default value

  - ### getProperty

    public static <T> T getProperty(Properties properties, String name, T defaultValue, Class<? extends T> type)
    Helper method to get the value of the property from a given property bag This method will return a value with the type equal to the type given by the Class type parameter. Therefore, The user of this method can ensure that he is get what he request
    Parameters:
      `properties` - Properties bag
      `name` - Name of the property
      `defaultValue` - Default value
      `type` - Expected Type using Class
    Returns:
      Value corresponding to the given property name

  - ### loadProperties

    public static Properties loadProperties(String filePath)
    Loads the properties from a given property file path
    Parameters:
      `filePath` - Path of the property file
    Returns:
      Properties loaded from given file

  - ### loadXMLConfig

    public static org.apache.axiom.om.OMElement loadXMLConfig(String filePath)
    Load xml config
    Parameters:
      `filePath` - file path
    Returns:
      OMElement of build from the config file

  - ### loadXMLConfig

    public static org.apache.axiom.om.OMElement loadXMLConfig(String filePath, boolean isMandatory)
    Load a xml configuration file
    Parameters:
      `filePath` - file path
      `isMandatory` - whether this is a mandatory config
    Returns:
      OMElement of build from the config file

  - ### serialize

    public static byte[] serialize(Object data)
    Helper method to serialize object into a byte array
    Parameters:
      `data` - The object to be serialized
    Returns:
      The byte array representation of the provided object

  - ### asBytes

    public static byte[] asBytes(InputStream in)

  - ### isTaskOfMessageProcessor

    public static boolean isTaskOfMessageProcessor(String taskName)
    Checks if the task belongs to a message processor
    Parameters:
      `taskName` - task name
    Returns:
      true if task belongs to a message processor

  - ### getMessageProcessorName

    public static String getMessageProcessorName(String taskName)
    Provides the name of the corresponding message processor of a task
    Parameters:
      `taskName` - task name
    Returns:
      message processor name